Skip to content

Retrieves a subscription payment history

Request

GET {{baseURL}}/sub-api/v1/subscriptions/{{subscriptionId}}/payments

This endpoint retrieves a history of payments for a specified subscription.

See Also:
To list a merchant's subscriptions, see GET /sub-api/v1/subscriptions.
To create a subscription, see POST /sub-api/v1/subscriptions.
To retrieve a subscription by ID, see GET /sub-api/v1/subscriptions/{subscriptionId}.
To terminate a subscription, see PUT /sub-api/v1/subscriptions/{subscriptionId}/terminate.

Security
Bearer
Path
subscriptionIdstring, (uuid)required


Specifies the subscription identifier.

Example:79c0d1e2-3f4a-4b5c-6d7e-8f9a0b1c2d58
Query
pageinteger, (int32)

Specifies the page number of the returned search results.

A page is considered each set of the pageSize value.

The maximum page value is the pageSize divided by the total count rounded up. The count is zero-based. For example, if pageSize is 50 and the total is 130, there are three pages. The maximum page value is 2.

Values above the maximum page value will complete successfully but not return any items.

Example: 0

Default:0
pageSizeinteger, (int32)

Specifies the number of items for each page of the returned search results.

A page is considered each set of the pageSize value.

The maximum page value is the pageSize divided by the total count rounded up. The count is zero-based. For example, if pageSize is 50 and the total is 130, there are three pages. The maximum page value is 2.

Example: 50

Default:15
hideCompletedAndPlannedboolean

Specifies leaving out completed and planned payments from the history list.

The retrieved payment history list could excluded previously completed and planned payments.

If true, leaves out completed and planned payments.
If false, includes completed and planned payments. This includes in-progress, failed, pending, or actionable payments.

Example: true

Example:hideCompletedAndPlanned=true
curl -i -X GET \
  'https://developer.flute.com/_mock/api-reference/sub-api/v1/subscriptions/79c0d1e2-3f4a-4b5c-6d7e-8f9a0b1c2d58/payments?page=0&pageSize=15&hideCompletedAndPlanned=true' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
idstring, (uuid)

Indicates the subscription identifier.

Example: 79c0d1e2-3f4a-4b5c-6d7e-8f9a0b1c2d58

initialExecutionDateTimestring, (date-time)

Indicates the date-time (in an ISO 8601 date-time UTC format) of the subscription's initial execution.

Examples: 2026-02-19T20:24:52.934Z

Example:"2026-02-19T20:24:52.934Z"
statusIdinteger, (int32)

Indicates the subscription status identifier.

Possible values:

ValueMeaning
1Active
2Completed
3Suspended
4Delinquent
5Terminated
6Deleted

Example: 2

Example:2
statusstring or null

Indicates the subscription status.

Possible values:

ValueMeaning
Active1
Completed2
Suspended3
Delinquent4
Terminated5
Deleted6

Example: Completed

Example:"Completed"
amountnumber, (double)

Indicates the payment amount.

Example: 129.99

Example:129.99
paymentOrderinteger, (int32)

Indicates a payment attempt identifier.

Example: 748411

Example:748411
attemptsArray of objects or null


Indicates the history of attempting to complete this order.

Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "initialExecutionDateTime": "2026-02-19T20:24:52.934Z", "statusId": 2, "status": "Completed", "amount": 129.99, "paymentOrder": 748411, "attempts": [ { "id": "35e6f7a8-9b0c-4d1e-2f3a-4b5c6d7e8f14", "executionDateTime": "2026-02-19T20:24:52.934Z", "statusId": 2, "status": "Completed", "transactionStatusId": 2, "transactionStatus": "Captured", "transactionId": "0e0034bd-028f-4809-b185-f4cca086eb33" } ] }